//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DPositionTrigger
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Thu Sep  9 11:05:08 CEST 1999
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DPositionTrigger.m,v 1.6 2001/01/05 20:50:53 robert Exp $
//-----------------------------------------------------------------------------

#import "G3DPositionTrigger.h"
#import "G3DArchiver.h"
#import "G3DUnarchiver.h"

@implementation G3DPositionTrigger

//-----------------------------------------------------------------------------
// Trigger
//-----------------------------------------------------------------------------

- (BOOL)triggerShouldActivate
{
  return NO;
}

//-----------------------------------------------------------------------------
// NSCoding
//-----------------------------------------------------------------------------

- (void)encodeWithCoder:(NSCoder *)aCoder
{
  [super encodeWithCoder:aCoder];
}

- (id)initWithCoder:(NSCoder *)aCoder
{
  self = [super initWithCoder:aCoder];

  return self;
}

//-----------------------------------------------------------------------------
// NSCopying
//-----------------------------------------------------------------------------

- (id)copyWithZone:(NSZone *)zone
{
  id copy = [super copyWithZone:zone];

  return copy;
}

//-----------------------------------------------------------------------------
// G3DSceneCoding
//-----------------------------------------------------------------------------

- (void)encodeWithSceneArchiver:(G3DArchiver *)archiver
{
  [super encodeWithSceneArchiver:archiver];
}

- (id)initWithSceneUnarchiver:(G3DUnarchiver *)unarchiver
{
  self = [super initWithSceneUnarchiver:unarchiver];
  
  return self;
}

@end






