//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DASELoader
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Mon May  8 10:17:53 CEST 2000
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DASELoader.h,v 1.1 2001/07/15 14:03:37 probert Exp $
//-----------------------------------------------------------------------------

/*
  Description:
  
*/

#ifndef __G3DASELoader_h_INCLUDE
#define __G3DASELoader_h_INCLUDE

#import <Foundation/Foundation.h>

@class G3DGraphNode;

@interface G3DASELoader : NSObject 
{
  NSString *aseFile;

  @private
    
  NSMutableDictionary *materials;
  NSMutableDictionary *objects;
}

+ (id)defaultLoader;

- (G3DGraphNode *)objectTreeWithContentsOfFile:(NSString *)file;

@end

extern NSString *G3DASELoaderException;

#endif




