//-----------------------------------------------------------------------------
// Project            	RenderKit
// Protocol		G3DVtxArray+ASEExtensions
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Fri Aug  4 13:22:05 CEST 2000
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DVtxArray+ASEExtensions.h,v 1.1 2001/07/15 14:03:37 probert Exp $
//-----------------------------------------------------------------------------

#ifndef __G3DVtxArrayASEExtensions_h_INCLUDE
#define __G3DVtxArrayASEExtensions_h_INCLUDE

#import <RenderKit/G3DVtxArray.h>
#import <Foundation/Foundation.h>

@class G3DASEObject;

@interface G3DVtxArray (ASEExtensions)

+ (G3DVtxArray *)arrayWithASEObject:(G3DASEObject *)data;

- (id)initWithASEObject:(G3DASEObject *)data;

@end

extern NSString *G3DVtxArrayASEImportException;

#endif



























